
From: Richard Purdie <rpurdie@rpsys.net>

Corgi Touchscreen bugfix.  If the PMU isn't running, the register needs to
be set to a sane value rather than reusing some random value.

Signed-off-by: Richard Purdie <rpurdie@rpsys.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/touchscreen/corgi_ts.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/touchscreen/corgi_ts.c~corgi-touchscreen-fix-a-pmu-bug drivers/input/touchscreen/corgi_ts.c
--- devel/drivers/input/touchscreen/corgi_ts.c~corgi-touchscreen-fix-a-pmu-bug	2005-08-07 10:08:34.000000000 -0700
+++ devel-akpm/drivers/input/touchscreen/corgi_ts.c	2005-08-07 10:08:34.000000000 -0700
@@ -105,7 +105,7 @@ static int sync_receive_data_send_cmd(in
 	if (wait_time && doSend) {
 		PMNC_GET(pmnc);
 		if (!(pmnc & 0x01))
-			PMNC_SET(pmnc | 0x01);
+			PMNC_SET(0x01);
 
 		/* polling HSync */
 		SyncHS();
_
